﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/3409e2af086f/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2021.3.31f1.exe'
$checksum64     = '31c9a3594f8ba8db32768249450eec28c84ee16b9c13bac371fd9441c3024e11'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
